(function( $ ) {
	'use strict';
    var j= 1;
	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */

	

	jQuery(document).ready(function($){


		j= $('#scene-1').find('.hotspot-nav li').eq(-2).find('span').attr('data-index');
	 	var ajaxurl = wpvr_obj.ajaxurl;
		$('#panolenspreview').on('click', function(e){			
			e.preventDefault();
			var postid = $("#post_ID").val();
			var autoload = $("input[name='autoload']:checked").val();
			var control = $("input[name='controls']:checked").val();
			var defaultscene = $("input[name='default-scene-id']").val();
			var scenefadeduration = $("input[name='scene-fade-duration']").val();
			var panodata = $('.scene-setup').repeaterVal();
		  	jQuery.ajax({
			    type:    "POST",
			    url:     ajaxurl,
			    data: { 
			      action: "wpvr_preview",
			      postid: postid,
			      control: control,
			      autoload: autoload,
			      panodata: panodata,
			      defaultscene: defaultscene,
			      scenefadeduration: scenefadeduration,
			    },
		    	
			    success: function( response ){
			    	if (response.success == true) {
			    		$('#error_occured').hide();
			    		$('#'+response.data[0]["panoid"]).empty();
			    		var scenes = response.data[1];

			    		if (scenes) {
				    		$.each(scenes.scenes, function (i) {		
							    $.each(scenes.scenes[i]['hotSpots'], function (key, val) {						
							        if (val["clickHandlerArgs"] != "") {
							        	val["clickHandlerFunc"] = hotspot;
							        }
							        if (val["createTooltipArgs"] != "") {
							        	val["createTooltipFunc"] = tooltip;
							        }								 
							    });
							});
			    		}
			    		var panoshow = pannellum.viewer(response.data[0]["panoid"], scenes);	
			    	}
			    	else {
			    		$('#error_occured').show();
                    	$('#error_occured').html(response.data);
			    	}
		  		}
			});
		});
	}); 

	jQuery(document).ready(function($){

		var flag_ok = false;
		$('#publish').on('click', function(e){
		var x =	$(this).val();
		if(x=='Publish' || x== 'Update') {
				if ( ! flag_ok ) {
			        e.preventDefault();
					var postid = $("#post_ID").val();
					var autoload = $("input[name='autoload']:checked").val();
					var control = $("input[name='controls']:checked").val();
					var defaultscene = $("input[name='default-scene-id']").val();
					var scenefadeduration = $("input[name='scene-fade-duration']").val();
					if ($('.scene-setup')[0]) {
					    var panodata = $('.scene-setup').repeaterVal();
					} else {
						var panodata = '';
					}
				  	jQuery.ajax({

					    type:    "POST",
					    url:     ajaxurl,
					    data: { 
					      action: "wpvr_save",
					      postid: postid,
					      control: control,
					      autoload: autoload,
					      panodata: panodata,
					      defaultscene: defaultscene,
					      scenefadeduration: scenefadeduration,
					      },
		    	
				    	success: function( response ){
				    		if (response.success == false) {
				    			$('#error_occured').show();
                    			$('#error_occured').html(response.data);
				    		}
				    		else {
				    			flag_ok = true;
				      			$('#publish').trigger('click');
				    		}
			    		}
			  		});
			    }   
		    } 
		});	
    }); 

    function hotspot(hotSpotDiv, args) {
	    var argst = args.replace(/\\/g, '');
    	$("#custom-ifram").html(argst);
    	$("#custom-ifram").fadeToggle();
    	$(".iframe-wrapper").toggleClass("show-modal");
	}

	function tooltip(hotSpotDiv, args) {
	    hotSpotDiv.classList.add('custom-tooltip');
	    var span = document.createElement('span');
	    args = args.replace(/\\/g, "");
	    span.innerHTML = args;
	    hotSpotDiv.appendChild(span);
	    span.style.width = span.scrollWidth - 20 + 'px';
	    span.style.marginLeft = -(span.scrollWidth - hotSpotDiv.offsetWidth) / 2 + 'px';
	    span.style.marginTop = -span.scrollHeight - 12 + 'px';
	}

	jQuery(document).ready(function($){
	   $("#cross").on("click", function(e){
           e.preventDefault();
           $("#custom-ifram").fadeOut();
           $(".iframe-wrapper").removeClass("show-modal");
           $('iframe').attr('src', $('iframe').attr('src'));
        });
    });

	jQuery(document).ready(function($){

        var i = $('.scene-nav li').eq(-2).find('span').attr('data-index');
        i = parseInt(i);
            
		$('.scene-setup').repeater({
            
	        defaultValues: {
	        	'scene-type': 'equirectangular',
	        },
	        show: function () {

	        	if( $(this).parents(".scene-setup").attr("data-limit").length > 0 ){
	        		
					if( $(this).parents(".scene-setup").find("div[data-repeater-item]:not(.hotspot-setup div[data-repeater-item])").length <= $(this).parents(".scene-setup").attr("data-limit") ){

						$(this).slideDown();
						$(this).removeClass('active');
	                
		                i=i+1;
		                var scene = 'scene-'+i;
		                
		                
		                $(this).find(".title .scene-num").html(i);
		                
		                $('<li><span data-index="'+ i +'" data-href="#'+ scene +'">Scene '+ i +'</span></li>').insertBefore($(this).parent().parent('.scene-setup').find('.scene-nav ul li:last-child'));
		                
		                $(this).attr('id', scene);
		                changehotspotid(i);
		                $(this).siblings('.active').removeClass('active');
		                $(this).addClass('active');
		                // $([$(this).parent()[0], $($(this).data('href'))[0]]).addClass('active').siblings('.active').removeClass('active');
					} else {
                        $('.pano-alert > p').html('You can only add 5 scenes for free version');
                        $('.pano-alert').show();
						$(this).remove();
					}
				} else {
					jQuery(this).slideDown();
	                $(this).removeClass('active');
	                
	                i=i+1;
	                var scene = 'scene-'+i;
	                
	                
	                $(this).find(".title .scene-num").html(i);
	                
	                $('<li><span data-index="'+ i +'" data-href="#'+ scene +'">Scene '+ i +'</span></li>').insertBefore($(this).parent().parent('.scene-setup').find('.scene-nav ul li:last-child'));
	                
	                $(this).attr('id', scene);
	                changehotspotid(i);
				}

				$(this).hide();
	        },
	        hide: function (deleteElement) {
               
                var hide_id = $(this).attr("id");
                hide_id = "#"+hide_id;
                
                var current = $(this).attr('id');
                var fchild = $('.single-scene:first-child').attr('id');
                
	            if(confirm('Are you sure you want to delete?')) {
	                jQuery(this).slideUp(deleteElement);
                    if(current == fchild){
                        $(this).next().addClass("active");
                        $(this).parent().parent('.scene-setup').find('.scene-nav li span[data-href="'+hide_id+'"]').parent("li").next().addClass("active");
                        $(this).parent().parent('.scene-setup').find('.scene-nav li span[data-href="'+hide_id+'"]').parent("li").next().children("span").trigger( "click" );
                    }
                    else {
                        $(this).prev().addClass("active");
                        $(this).parent().parent('.scene-setup').find('.scene-nav li span[data-href="'+hide_id+'"]').parent("li").prev().addClass("active");
                        $(this).parent().parent('.scene-setup').find('.scene-nav li span[data-href="'+hide_id+'"]').parent("li").prev().children("span").trigger( "click" );
                    }
                    $(this).parent().parent('.scene-setup').find('.scene-nav li span[data-href="'+hide_id+'"]').parent("li").remove();
	            }     
	        },
	        repeaters: [{
	            selector: '.hotspot-setup',
	            defaultValues: {
			        'hotspot-type': 'info',
		        },
	            show: function () {

	            	if( $(this).parents(".hotspot-setup").attr("data-limit").length > 0 ){
		        		
						if( $(this).parents(".hotspot-setup").find("div[data-repeater-item]").length <= $(this).parents(".hotspot-setup").attr("data-limit") ){

							$(this).slideDown();
							$(this).removeClass('active');
							$(this).siblings('.active').removeClass('active');
		                	$(this).addClass('active');
		                    j = parseInt(j);
		                    j=j+1;
		                    var parent_scene = $(this).parent().parent().parent('.single-scene.active').attr('id');  
		                    var hotspot = parent_scene+'-hotspot-'+ j;
		                    
		                    var replace_string =parent_scene.replace("scene-", "");
		                      
		                    $(this).find(".title .hotspot-num").html(j);
		                    $(this).find(".title .scene-num").html(replace_string);
		                
		                    $('<li><span data-index="'+ j +'" data-href="#'+ hotspot +'">Hotspot '+ j +'</span></li>').insertBefore($(this).parent().parent('.hotspot-setup').find('.hotspot-nav ul li:last-child'));

		                    $(this).attr('id', hotspot);

		                    //test
		                    
						} else {
                            $('.pano-alert > p').html('You can only add 5 hotspots for free version');
                            $('.pano-alert').show();
							$(this).remove();
						}
					} else {
						jQuery(this).slideDown();
	                    $(this).removeClass('active');
	                    j = parseInt(j);
	                    j=j+1;
	                    var parent_scene = $(this).parent().parent().parent('.single-scene.active').attr('id');  
	                    var hotspot = parent_scene+'-hotspot-'+ j;
	                    
	                    var replace_string =parent_scene.replace("scene-", "");
	                      
	                    $(this).find(".title .hotspot-num").html(j);
	                    $(this).find(".title .scene-num").html(replace_string);
	                
	                    $('<li><span data-index="'+ j +'" data-href="#'+ hotspot +'">Hotspot '+ j +'</span></li>').insertBefore($(this).parent().parent('.hotspot-setup').find('.hotspot-nav ul li:last-child'));

	                    $(this).attr('id', hotspot);
					}
		        },
		        hide: function (deleteElement) {
                    var hotspot_hide_id = $(this).attr("id");
                    hotspot_hide_id = "#"+hotspot_hide_id;
                   

                    var hotspot_current = $(this).attr('id');
                    var hotspot_fchild = $(this).parent().children(":first").attr('id');
                        console.log(hotspot_fchild);
                        console.log(hotspot_current);
                    //if(confirm('Are you sure you want to delete?')) {
                        jQuery(this).slideUp(deleteElement);
                        if(hotspot_current == hotspot_fchild){
                            $(this).next().addClass("active");
                            $(this).parent().parent('.hotspot-setup').find('.hotspot-nav li span[data-href="'+hotspot_hide_id+'"]').parent("li").next().addClass("active");
                            
                        }
                        else {
                            $(this).prev().addClass("active");
                            $(this).parent().parent('.hotspot-setup').find('.hotspot-nav li span[data-href="'+hotspot_hide_id+'"]').parent("li").prev().addClass("active");
                        }
                    
                        $(this).parent().parent('.hotspot-setup').find('.hotspot-nav li:not(:last-child) span[data-href="'+hotspot_hide_id+'"]').parent("li").remove();
                        
                        //console.log(hotspot_hide_id);
                    //}
		        },
	        }]
	    });
        
        
	}); 
    

	var file_frame;
	var parent;
    $(document).on("click",".scene-upload",function(event) {
		event.preventDefault();
        parent = $(this).parent( '.form-group' );	

        // if the file_frame has already been created, just reuse it
        if ( file_frame ) {
            file_frame.open();
            return;
        }
        
        file_frame = wp.media.frames.file_frame = wp.media({
            title: $( this ).data( 'uploader_title' ),
            button: {
                text: $( this ).data( 'uploader_button_text' ),
            },
            library: {
                type: [ 'image']
            },
            multiple: false // set this to true for multiple file selection
        });

        file_frame.on( 'select', function() {
            var attachment = file_frame.state().get('selection').first().toJSON();
            parent.find('.scene-attachment-url').val(attachment.url);
            parent.find( 'img' ).attr( 'src', attachment.url).show();
        });

        file_frame.open();
    });


    $(document).on("change","select[name*=hotspot-type]",function(event) {

    	var getparent = $(this).parent();

    	var getvalue = $(this).val();
    	if (getvalue == 'info') {
    		getparent.find('.hotspot-scene').hide();
    		getparent.find('.hotspot-url').show();
    		getparent.find('.hotspot-content').show();
    		// getparent.find('.hotspot-hover').show();
    	}
    	else {
    		getparent.find('.hotspot-scene').show();
    		getparent.find('.hotspot-url').hide();
    		getparent.find('.hotspot-content').hide();
    		// getparent.find('.hotspot-hover').hide();
    	}
	});


    //------------panolens tab js------------------
  
    
     $(document).on("click",".scene-nav ul li:not(:last-child) span",function() {
         
        var scene_id = $(this).data('index');
        scene_id = '#scene-'+ scene_id;
        
        j = $(scene_id).find('.hotspot-nav li').eq(-2).find('span').attr('data-index');
        
        $([$(this).parent()[0], $($(this).data('href'))[0]]).addClass('active').siblings('.active').removeClass('active');
        
        // $(this).css({ 'display': "block" });
    });

    //add click
    $(document).on("click",".scene-nav ul li:last-child span",function() {
    	var scene_id = $(this).parent('li').prev().children("span").data('index');
    	console.log(scene_id);
        scene_id = '#scene-'+ scene_id;
        console.log(scene_id);
        j = $(scene_id).find('.hotspot-nav li').eq(-2).find('span').attr('data-index');
    	$('.scene-nav ul li.active').removeClass('active');
        // $( '.scene-nav ul li:last-child(2)' ).addClass('active');
        $(this).parent('li').prev().addClass('active');

    });

    //end add click
    
    $(document).on("click",".hotspot-nav ul li:not(:last-child) span",function() {
        $([$(this).parent()[0], $($(this).data('href'))[0]]).addClass('active').siblings('.active').removeClass('active');
        // $([$(this).parent()[0], $(this).data('href'))[0]]).addClass('active').siblings('.active').removeClass('active');

    });

    $(document).on("click",".hotspot-nav ul li:last-child span",function() {
    	$(this).parent('li').siblings('.active').removeClass('active');
    	$(this).parent('li').prev().addClass('active');
        // $([$(this).parent()[0], $($(this).data('href'))[0]]).addClass('active').siblings('.active').removeClass('active');
        // $([$(this).parent()[0], $(this).data('href'))[0]]).addClass('active').siblings('.active').removeClass('active');

    });

    function changehotspotid(id){
        var scene_id = '#scene-'+ id;
        var hotspot_id = 'scene-'+ id +'-hotspot-1'; 
        $(scene_id).find('.hotspot-nav li span').attr('data-href', '#'+hotspot_id+'');
        $(scene_id).find('.single-hotspot').attr('id', hotspot_id);
      
    }
    
    $(document).on("click",".rex-pano-nav-menu.main-nav ul li span",function() {
        $([$(this).parent()[0], $($(this).data('href'))[0]]).addClass('active').siblings('.active').removeClass('active');
    });
    
    //----------alert dismiss--------
    $(document).on("click","body",function() {
        $('.pano-alert').hide();
    });
    $(document).on("click",".pano-alert > .destroy",function() {
        $('.pano-alert').hide();
    });
    $(document).on("click",".pano-alert, .rex-pano-sub-tabs .rex-pano-tab-nav li.add",function(e) {
        e.stopPropagation();
    });
    
    
    $(document).on("click",".main-nav li.hotspot span",function() {
        $(".hotspot-setup.rex-pano-sub-tabs").show();
        $(".scene-setup > nav.scene-nav").hide();
        $(".scene-setup .single-scene > .scene-content").hide();
        $(".scene-setup .delete-scene").hide();
    });
    
    $(document).on("click",".main-nav li.scene span",function() {
        $(".hotspot-setup.rex-pano-sub-tabs").hide();
        $(".scene-setup > nav.scene-nav").show();
        $(".scene-setup .single-scene > .scene-content").show();
        $(".scene-setup .delete-scene").show();
    });


})( jQuery );
