<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://rextheme.com/
 * @since      1.0.0
 *
 * @package    Wpvr
 * @subpackage Wpvr/admin/partials
 */
?>
<?php
$post = '';
$id = '';
$postdata = array();
$post = get_post();
$id = $post->ID;
$postdata = get_post_meta( $id, 'panodata', true );
$panoid = 'pano'.$id;
$control = false;
if (isset($postdata['showControls'])) {
  $control = $postdata['showControls'];
}
$autoload = false;
if (isset($postdata['autoLoad'])) {
  $autoload = $postdata['autoLoad'];
}

$default_scene = '';
if (isset($postdata['defaultscene'])) {
  $default_scene = $postdata['defaultscene'];
}

$scene_fade_duration = '';
if (isset($postdata['scenefadeduration'])) {
  $scene_fade_duration = $postdata['scenefadeduration'];
}

$panodata = '';
if (isset($postdata['panodata'])) {
  $panodata = $postdata['panodata'];
}


  $default_data = array();
  $default_data = array(__( "firstScene" )=>$default_scene,__( "sceneFadeDuration" )=>$scene_fade_duration);
  $scene_data = array();

  if (!empty($panodata)) {
    foreach ($panodata["scene-list"] as $panoscenes) {

      $hotspot_datas = $panoscenes["hotspot-list"];
      $hotspots = array();
      foreach ($hotspot_datas as $hotspot_data) {

        $hotspot_info = array(
          __( "text" )=>$hotspot_data["hotspot-title"],
          __( "pitch" )=>$hotspot_data["hotspot-pitch"],
          __( "yaw" )=>$hotspot_data["hotspot-yaw"],
          __( "type" )=>$hotspot_data["hotspot-type"],
          // __( "cssClass" )=>$hotspot_data["hotspot-customclass"],
          __( "URL" )=>$hotspot_data["hotspot-url"],
          __( "clickHandlerArgs" )=>$hotspot_data["hotspot-content"],
          __( "createTooltipArgs" )=>$hotspot_data["hotspot-hover"],
          __( "sceneId" )=>$hotspot_data["hotspot-scene"]);
        array_push($hotspots, $hotspot_info);
      }

      $scene_info = array();
      $scene_info = array(__( "type" )=>$panoscenes["scene-type"],__( "panorama" )=>$panoscenes["scene-attachment-url"],__( "hotSpots" )=>$hotspots);
      $scene_array = array();
      $scene_array = array(
        __($panoscenes["scene-id"])=>$scene_info
      );
      $scene_data[$panoscenes["scene-id"]] = $scene_info;
    }
  }


  $pano_id_array = array();
  $pano_id_array = array(__( "panoid" )=>$panoid);
  $pano_response = array();
  $pano_response = array(__( "autoLoad" )=>$autoload,__( "showControls" )=>$control,__( "default" )=>$default_data,__( "scenes" )=>$scene_data);
  $response = array();
  $response = array($pano_id_array,$pano_response);
  if (!empty($response)) {
	$response = json_encode($response);
  }
?>

<div class="iframe-wrapper">
	<i class="fa fa-times" id="cross"></i>
	<div id="custom-ifram" style="display: none;">

	</div>
	<div id="<?php echo 'pano'.$id; ?>" class="pano-wrap">

	</div>
</div>

<div id="panodata" style="text-align: center; margin-top: 2%; font-weight: bold;">	
</div>

<script>

	var response = <?php echo $response; ?>;
	var scenes = response[1];
	if (scenes) {
		$.each(scenes.scenes, function (i) {		
		    $.each(scenes.scenes[i]['hotSpots'], function (key, val) {						
		        if (val["clickHandlerArgs"] != "") {
		        	val["clickHandlerFunc"] = hotspot;
		        }
            if (val["createTooltipArgs"] != "") {
              val["createTooltipFunc"] = tooltip;
            }								 
		    });
		});
	}

  if (response[1]['scenes'] != "") {
    var panoshow = pannellum.viewer(response[0]["panoid"], scenes);
  }

	function hotspot(hotSpotDiv, args) {
	    var argst = args.replace(/\\/g, '');
    	$("#custom-ifram").html(argst);
    	$("#custom-ifram").fadeToggle();
    	$(".iframe-wrapper").toggleClass("show-modal");
	}

  function tooltip(hotSpotDiv, args) {
      hotSpotDiv.classList.add('custom-tooltip');
      var span = document.createElement('span');
      console.log(args);
      if (args != null) {
        args = args.replace(/\\/g, "");  
      }
      span.innerHTML = args;
      hotSpotDiv.appendChild(span);
      span.style.width = span.scrollWidth - 20 + 'px';
      span.style.marginLeft = -(span.scrollWidth - hotSpotDiv.offsetWidth) / 2 + 'px';
      span.style.marginTop = -span.scrollHeight - 12 + 'px';
  }
    
  jQuery(document).ready(function($){
   $("#cross").on("click", function(e){
         e.preventDefault();
         $("#custom-ifram").fadeOut();
         $(".iframe-wrapper").removeClass("show-modal");
         $('iframe').attr('src', $('iframe').attr('src'));
      });
  });
</script>

