<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://rextheme.com/
 * @since      1.0.0
 *
 * @package    Wpvr
 * @subpackage Wpvr/admin/partials
 */
?>

<!-- This file should display the admin pages -->
<div class="row">
    <div class="rex-onboarding">
        <div class="left">
            <div class="wrapper">
                <div class="col s12 no-pd">
                    <ul class="tabs tabs-icon rex-tabs">
                        <li class="tab col s3"><a href="#tab1"><i class="material-icons">settings</i>General</a></li>
                        <li class="tab col s3"><a href="#tab2"><i class="material-icons">perm_media</i>Video Tutorials</a></li>
                        <li class="tab col s3"><a href="#tab3"><i class="material-icons">thumb_up_alt</i>Go Premium</a></li> 
                    </ul>
                </div>

                <div id="tab1" class="block-wrapper">
                    <div class="single-block">
                        <div class="onboarding-block banner-block">
                            <img src="<?php echo WPVR_PLUGIN_DIR_URL . 'admin/icon/banner.png'?>" alt="rex-banner">
                        </div>
                    </div>
                    <div class="single-block">
                        <div class="onboarding-block">

                            <div class="header">
                                <img src="<?php echo WPVR_PLUGIN_DIR_URL . 'admin/icon/Document.png'?>" class="title-icon" alt="wpvr-documentation">
                                <h4>Documentation</h4>
                            </div>

                            <div class="body">
                                <p>
                                    Before You start, you can check our Documentation to get familiar with WP VR - 360 Panorama and virtual tour creator for WordPress.
                                </p>

                                <a class="waves-effect waves-light btn wpvr-btn" href="https://rextheme.com/docs/wpvr-360-panorama-and-virtual-tour-creator-for-wordpress/" target="_blank">View Documentation</a>
                            </div>
                        </div>
                    </div>

                    <div class="single-block">

                        <div class="onboarding-block">
                            <div class="header">
                                <img src="<?php echo WPVR_PLUGIN_DIR_URL . 'admin/icon/Support.png'?>" class="title-icon" alt="wpvr-documentation">
                                <h4>Support</h4>
                            </div>

                            <div class="body">
                                <p>
                                    Can't find solution on with our documentation? Just Post a ticket on Support forum. We are to solve your issue.
                                </p>

                                <a class="waves-effect waves-light btn wpvr-btn" href="https://wordpress.org/support/plugin/wpvr" target="_blank">Post a Ticket</a>
                            </div>
                        </div>
                    </div>

                    <div class="single-block">
                        <div class="onboarding-block">
                            <div class="header">
                                <img src="<?php echo WPVR_PLUGIN_DIR_URL . 'admin/icon/Feedback.png'?>" class="title-icon" alt="wpvr-documentation">
                                <h4>Share Your Thoughts</h4>
                            </div>

                            <div class="body">
                                <p>
                                    Your suggestions are valubale to us. It can help to make wpvr even better.
                                </p>

                                <a class="waves-effect waves-light btn wpvr-btn" href="#" target="_blank">Suggest</a>
                            </div>
                        </div>
                    </div>

                    <div class="single-block">
                        <div class="onboarding-block">
                            <div class="header">
                                <img src="<?php echo WPVR_PLUGIN_DIR_URL . 'admin/icon/Rating.png'?>" class="title-icon" alt="wpvr-documentation">
                                <h4>Make WPVR Popular</h4>
                            </div>

                            <div class="body">
                                <p>
                                    Your rating and feedback matters to us. If you are happy with WP VR - 360 Panorama and virtual tour creator for WordPress give us a rating.
                                </p>

                                <a class="waves-effect waves-light btn wpvr-btn" href="https://wordpress.org/plugins/wpvr/#reviews" target="_blank">Rate Us! </a>
                            </div>
                        </div>
                    </div>


                    <div class="single-block">
                        <div class="onboarding-block">
                            <div class="header">
                                <img src="<?php echo WPVR_PLUGIN_DIR_URL . 'admin/icon/Heart.png'?>" class="title-icon" alt="wpvr-documentation">
                                <h4>Share On</h4>
                            </div>

                            <div class="body">
                                <ul class="social">
                                    <li><a href="https://www.facebook.com/sharer/sharer.php?u=https%3A//wordpress.org/plugins/wpvr/" target="_blank">Share on Facebook</a></li>
                                    <li><a href="https://twitter.com/home?status=https%3A//wordpress.org/plugins/wpvr/" target="_blank">Share on Twitter</a></li>
                                    <li><a href="https://plus.google.com/share?url=https%3A//wordpress.org/plugins/wpvr/" target="_blank">Share on Google+</a></li>
                                    <li><a href="https://www.linkedin.com/shareArticle?mini=true&url=https%3A//wordpress.org/plugins/wpvr/&title=&summary=&source=" target="_blank">Share on LinkedIn</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="tab2" class="block-wrapper">
                    <div class="video-container">
                        <!-- <iframe width="560" height="315" src="#" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe> -->
                    </div>
                </div>
                    <div id="tab3" class="block-wrapper">
                        <div class="rex-upgrade">
                            <h4>Why upgrade to Premium Version?</h4>
                            <div class="parent">
                                <div class="item">Unlimited scenes</div>
                                <div class="item">Unlimited hotspots</div>
                                <div class="item">Personalized support on both support forum and our support e-mail.</div>
                            </div>
                            <a href="https://rextheme.com/wp-vr-360-panorama-and-virtual-tour-creator-for-wordpress/" target="_blank" class="waves-effect waves-light btn wpvr-btn">Get Premium Version</a>
                        </div>
                    </div>
            </div>
        </div>

        <div class="right">
            <div class="rex-banner">
                <img src="<?php echo WPVR_PLUGIN_DIR_URL . 'admin/icon/icon-128x128.png'?>" class="banner-logo" alt="logo">
                <a href="#" class="update-btn" target="_blank">Upgrade to Pro</a>
                <a href="#" target="_blank"><img src="<?php echo WPVR_PLUGIN_DIR_URL . 'admin/icon/Social_Booster_Banner.png'?>" alt="rex-banner"></a>
            </div>
        </div>
    </div>
</div>
